org.apache.sling.validation.impl.postprocessor

## Class InvalidResourcePostProcessorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.sling.validation.impl.postprocessor.InvalidResourcePostProcessorException

All Implemented Interfaces:
  Serializable

    public class InvalidResourcePostProcessorException
    extends RuntimeException

Exception embedding a `ValidationResult` from Sling Validation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidResourcePostProcessorException(org.apache.sling.validation.ValidationResult result, ResourceBundle resourceBundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidResourcePostProcessorException

    public InvalidResourcePostProcessorException(@Nonnull
                                                 org.apache.sling.validation.ValidationResult result,
                                                 ResourceBundle resourceBundle)

### Method Detail

#### getMessage

    public String getMessage()

Overrides:
  `getMessage` in class `Throwable`